import time
import unittest
import spacy
from chariot.transformer.tokenizer import Tokenizer


class TestSpacy(unittest.TestCase):

    def test_nlp(self):
        nlp = spacy.load("en", disable=["textcat", "ner", "parser"])
        data = test_text.split("\n")
        start = time.time()
        [tokens for tokens in nlp.pipe(data)]
        elapsed_time = time.time() - start
        print("elapsed_time:{0}".format(elapsed_time) + "[sec]")


test_text="""
being the self-proclaimed professional film critic that i am , i am somewhat embarrassed to admit that i had not seen lawrence of arabia ( coming soon to dvd ) until only recently . after all , it's considered by just about everyone to be the masterpiece epic of director david lean , who also directed films such as bridge on the river kwai , and doctor zhivago . so one day , a friend of mine loaned me a copy of the video and i sat down and watched it . i was initially skeptical that something made almost 40 years ago would be able to keep my attention for the butt-numbing 3 1/2 hours of its duration . but now i fully understand why this has become the film that other epic films are judged against -- the winner of seven academy awards in 1963 for best picture , director , editing , cinematography , art direction , music , and sound . after watching the film again , i am convinced that it is simply one of the finest works of cinematic genius to ever illuminate the big screen . based on the autobiographical writing of british officer t . e . lawrence during world war i , lawrence of arabia depicts lawrence ( played by then-unknown actor peter o'toole ) as a lieutenant lacking any sort of military discipline whatsoever . bored with his assignment of coloring maps for the british army in a dimly lit headquarters building , lawrence jumps at the opportunity to be re-assigned as an observer for an arabian prince fighting against the turkish army . lawrence quickly sees just how caring and great these desert dwelling people can be and ends up rallying the various tribes together to fight the turks and help the british turn the tide of world war i . shot in panavision's famed super 70mm format , the film beautifully illustrates the definition of the word epic . it is absolutely breathtaking . using stunning cinematography , costuming , and direction , shot in the most uninhabitable location on the face of the earth , i can only imagine what it must have been like to sit in a theater in 1962 and watch this story unfold before my eyes . every shot is choreographed as a portrait -- a living tribute to a great land . david lean put his reputation on the line to get this film completed , and the fact that it was even greenlit in the first place says something about the ideology of the motion picture industry at the time , a far cry from its pathetic , uncreative existence today . after watching the film , the first thing that came to my mind was , " i've got to do a remake of this film ! " but then i thought about trying to pitch the idea to a modern-day movie executive : " okay , it's going to be almost four hours long and shot over three months on location in the sahara desert . we are going to need to blow up a full-size train because computer-generated effects probably wont do it justice . and we are not going to use any big stars , and won't have any female actors since there's no love story . " yes , my friends , the velvet curtain fell on the golden-era of hollywood a long time ago . but at least we still have the proof to show all would-be producers and directors out there just how good a film can be .
star wars : episode i - the phantom menace review a review by jamey hughton stars ) starring-liam neeson , ewan mcgregor , natalie portman and jake lloyd director-george lucas rated g with all the hype that star wars : episode 1- the phantom menace has been receiving , it seems almost impossible to avoid interest in seeing the film . the movie is easily the most anticipated motion picture ever , with a marketing campaign so strong it has brought colonel sanders , the taco bell chihuahua and pizza hut together . can george lucas succeed yet again with transporting us back a long time ago , in a galaxy far , far away . . . . ? yes . this star wars prequel may be the worst of the bunch , with amateurish dialogue and an overall lack of humanity . but that doesn't mean it fails to comply on the basis of solid entertainment . the phantom menace features the most eye-catching , jaw-dropping visual look in cinematic history . the tremendous action sequences will have you clinging to your arm rest , and the special effects are nothing short of the best ( and most plentiful ) to ever be caught on film . the vast digitized worlds and sheer imagination that was applied to this project is astounding . the phantom menace is a delectable feast for the senses , even if it has some disappointing aspects . after we're treated to the famous prologue in the sky , with john williams' thundering score , we meet qui-gon jonn ( liam neeson ) and young obi-wan kenobi ( ewan mcgregor ) , a jedi master and his trainee `padawan' . they are on the ship accommodating the fleet headquarters for the evil trade federation , and have been sent to settle disputes regarding the taxation of trade routes to the planet of naboo . oh , but enough about that . the prime concern for this prequel is introducing young anakin skywalker ( jake lloyd ) into the picture . as you already know , this seemingly charming lad is the boy who will soon become darth vader . a spectacular pod race comes soon hereafter . this particular race is the most exciting , energetic , high-octane action sequence that you'll ever see . one of the delights of the series is meeting the newest set of strange alien creatures that lucas has devised , and the phantom menace is no exception . i loved sebulba , the rat-like scoundrel whom anakin has to face in the pod race , and boss nass , the leader of the gungans ( who are a neighbouring species to naboo ) . one character who has been subject to criticism is jar-jar binks , a member of the gungan race . jar-jar speaks like roger rabbit on a hallucinogenic drug , and is there for the sole purpose of supplying comic relief . yes , he is initially annoying , but i can admit to laughing over some of his harmless , goofy antics . there is some lack of dramatic pull in this star wars entry , but the presentation almost makes you forget the plot and character lapses . the final light-saber battle , between the jedi's and the horrific ( and terminally underused ) villain darth maul , is spectacular to behold . jabba the hutt , yoda , c-3po and r2-d2 have cameo appearances . lucas has not forget how to captivate an audience , even if his latest shows obvious signs of tiredness . one can only wonder what the possible technology will present for the next two installments , episode's i and ii . when they arrive , you'll know where to find me .
david mamet has long been my favorite screenwriter and director . with his distinctive , more often than not ingenious dialogue , and his laid back style of direction nearly all of his movies are absolutely irresistible . some of them tend to be thickly layered , deceptive productions that require the audience to look at the film in a less superficial manner than the plot seems to require in order to discern its concealed message , or sometimes even a concealed storyline . and although the real plot in his new project the winslow boy is slightly more conspicuous than in some of his other endeavors , it is still a brilliantly complex , consistently riveting motion picture about honor , about sacrifice , and about the difference between what is commonly known as justice and what is right . oh , and it's rated g . incidentally , this is the first time that mamet has decided to adapt someone else's work ; namely a play by terrence rattigan , set in the 19th century . he casts nigel hawthorne in the lead role as arthur winslow , a rich , aging man who finds out that his 14 year old son ronnie has been kicked out of the naval academy for allegedly stealing a 5 shilling postal note . " did you do it ? " he asks his boy . " no father , i didn't , " ronnie answers . that's enough for arthur , who , with his oldest daughter ( rebecca pidgeon ) , immediately starts a crusade to bring his son's case to court . they enlist the help of sir robert morton , a notorious attorney to help them achieve that formidably daunting task . it all seems fairly frivolous , and no matter how you look at it , the winslow case is not the trial of the century . but arthur is determined to keep his family's word clean and he is willing to go quite far to make sure of that . soon enough , sir robert morton along with the rest of the country becomes equally wrapped up in the proceedings . so do we . all david mamet does for the script is tighten and hone the dialogue , but his style is still fairly apparent . the characters still talk in his trademark staccatto lines and there is still tension present in conversations that no ordinary writer would be able to make tense . but this is not mamet's norm , and it's refreshing to see mamet deviate from his world of crooks , gangsters as con men , wonderful as those films were . nigel hawthorne's performance is nearly flawless . his delivery is that of a dignified yet not pompous man who seems to be getting beaten at his own game . we pity the man , but we also like him . rebecca pidgeon , david mamet's wife , who gave a fairly awful performance in the spanish prisoner is at the top of her game here as arthur's oldest daughter , a flailing feminist who gives her all to the winslow case as a way for making up for her lack of success in the women's suffrage movement . the winslow boy is a wonderful movie that avoids cliches such as a seemingly inevitable courtroom scene and shoots higher -- it wants to make a real impact rather than a phony one . be honest : did you feel anything profound at or after the courtroom scenes in films like a time to kill ? if you wanted to but didn't , this is a movie for you . it is the epitome of subtlety : it's powerful without being too emotional , sad without even trying to be depressing . david mamet can churn out some great scripts , but in this movie he proves to those who ever doubted it once and for all that he is a hell of a director too . he is almost a national treasure . his films deserve their own genre . ? 1999 eugene novikov&#137 ;
before the remake of psycho appears , we've got to suffer through this remake of an earlier hitchcock film , dial m for murder . as usual , hollywood has filled it with glitz and big name stars , and it all amounts to a loud sounding nothing . the film opens with emily ( paltrow ) and david ( viggo mortensen ) 'having fun' in an loft apartment . the problem is , paltrow is married to stephen ( douglas ) , who is not too happy when he discovers this affair . if i was paltrow , though , i'd definitely go with mortensen . less wrinkles . anyhow , stephen approaches david with an interesting proposition : he'll pay him to kill his lovely wife . mortensen agrees , but the murder goes awry , and the twists keep on coming as the film progresses . unfortunately , the film dosen't progress very fast . in fact , it moves like a tortoise with arthritis ( read : very , very s-l-o-w . ) the plot moves nowhere fast , and only becomes exciting in very short bursts . not too good for a 'thriller . ' also , the performances , apart from douglas , are below par . paltrow , showing immense talent in se7en ( 1995 ) and sliding doors ( 1997 ) is strangely stilted , even unconvincing , in this movie . mortensen is a little bit better , coming across as a younger douglas , but his role isn't meaty enough to show all his talent . which leaves douglas to waltz away with the film , which is does . however , i doubt douglas finds it very hard to play a stogie smoking , drinking womanizer with a creepy underside . also popping up in the film is david suchet , playing a shifty looking detective . again , it's not a character we're seeing on the screen , it's david suchet . the director , who bought us the fugitive , piles on all the flash techniques , such as zoom-in's , quick cuts , etc . the lighting is also interesting . however , looks can't save this film from the depths of mediocre , and the film seemed to work better in a single set anyway . the screenplay is o . k , but there's some hackneyed sub-plot about douglas being a ruthless player on wall street ( again ) and the ending is surprisingly stupid and cliched . the characters also make incredibly dumb moves , especially paltrow , and stephen appears to lose all intelligence in the last reel . with a combination of no tension , drama , or decent characters , a perfect murder is a failure all round , and an incredible disappointment . there are a few bright moments , but they are far and few between . the last thing a thriller should be is boring , and although the film just barely manages to keep your interest thanks to michael douglas , you wouldn't be missing anything if you decided not to watch a perfect murder . overall rating= review by david wilcock ? 1998 " you know , for kids " - norville barnes
romeo is bleeding wants to carry the unusual flavor of reservoir dogs or bad lieutenant . with director peter medak , whose previous credits include the good films let him have it and the krays , and top-notch character actors gary oldman and lena olin , they seemed likely to be a successful combination . those mentioned films , however , brought something to the screen that romeo is bleeding did not : a solid , well-written screenplay . call me cynical , but the jobs of writer and producer don't seem to mix well . gary oldman plays jack grimaldi , a good cop turned bad , selling information to the mob and cheating on his wife . his cheating is obvious enough to obtain his nickname , although the name doesn't provide any insight or analogy to the shakespearean character . jack has become addicted to " feeding the hole " , a hole in the ground where he stores his payoff money . when he realizes his colleagues are being shot , he feebly attempts to get out . gary oldman's performance is disappointingly weak ; he seems nearly bored . in the process , he also gets tangled-up with mona demarkov , a russian mobsterette who wants to take over the territory from top boss falcone , played adequately by roy scheider . demarkov , played by lena olin , is a tough but tremendously sexy woman with seemingly no problems maneuvering within the mob world . this character is combination of both linda hamilton and arnold schwarznegger from terminator 2 . i can't remember seeing a character quite like her . after being shot , handcuffed , and thrown in the back seat of a car , she still manages to cause an accident , kick out the windshield with her legs , grab a suitcase full of money ( plus some important documentation ) , climb through the rubble , land on her shot leg , and still succeed at running for safety . what a woman ! lena olin's performance is the only glimmer in this dismal film . anabella sciorra is wasted in her role as romeo's wife . there is little insight into her character . she's depressed , she makes obvious references , she mopes around the house . juliette lewis , as romeo's girlfriend , is treated with the same cliche attitudes , although ms . lewis' portrayal certainly didn't improve it . both women were anything but sexy or attractive . poorly developed characters aside , the screenplay also suffers from several logistical problems . it is so discouraging to watch a film and want to shout at the main character ( not ) to do something . for example , jack and his friends attend a funeral to hang in the background to scope-out the mob scene . fine . jack spots the big boss with his goons by the gravesite . fine . what does jack proceed to do ? he brushes his friends off by telling them he isn't feeling well , then strolls over to the boss . why ? the boss had all ready threatened him ; falcone simply takes the opportunity to issue more threats by ordering his goons to take off some of jack's toes by the gravesite . i guess they weren't worried about any federal agents lingering around after the funeral . . . . or here's another : demarkov set-up her own death by cutting off her arm with a circular saw . she proceeded to set the place on fire . wouldn't the flames burn off the fingerprints ? aren't dental records more important ? as bright and resourceful as she was supposed to be , couldn't she come up with a better plot ? ( and it took her no time at all to get a good-fitting , functional prosthesis . ) lack of attention to detail certainly adds up in a film . this film doesn't even add up the large details . there is little or no consistency in the story-line . not much makes sense . the direction lacks cohesion , surprising from a director whose previous credits are impeccable . the moods shift , the styles shift , and no one can seem to decide if it is a serious film or satire of one . so while it certainly isn't reservoir dogs , it certainly isn't diva . there's plenty more to tear apart in this film . my advice to someone who hasn't seen it to to wait until it comes on video . there are some quotable lines that would provide a campy evening if not taken seriously . it's not a boring film , just not a good one . or an intelligent one .
" from the director of " the nightmare before christmas " it said in the previews , which i'm guessing was said to get people to go see the movie , obviously it hasn't worked since the $75 million dollar movie has yet to break $5 million . to each it's own however , since " monkey bone " is not only a bad movie all together , but technically well-made . a tragic waste of talent and incredible visual effects . stu miley is the genius behind the new phenomena " monkey bone " a crude comic strip , that everyone wants to merchandise , they go to great links to get it as well , including dollars that let out fart powder . when stu and his girlfriend , julie ( bridget fonda ) are in a freak car accident ( you'll see ) stu goes into a coma , and while in his coma stu travels to i'm guessing dark town , where all the characters in dreams come to life . people are stuck in this town , with their nightmares roaming around them . when stu spots monkey bone ( whom he really can't stand ) he tries to keep him under control . making a new friend kitty ( rose mcgowan ) he learns that if he gets an exit pass from death , he can go back up and live his life . when monkey bone and stu steal a pass , monkey bone becomes a trader and takes it and goes into stu's body . now monkey bone must get everyone to buy these dolls with nightmare powder , so everyone has nightmares . . . or something like that . rather complex ( in fact more than it needs to be ) " monkey bone " had potential in the script and even the story . what is considerably noticeable is the gaping plot holes , and lack of character development . for instance we really don't get to know who stu or julie are , so why should we even care ? kitty played well by rose mcgowan ha a story behind her , but we are not given a chance to know her . the cast is decent however , brendan fraser seems to be enjoying himself in the role as stu miley , but becomes awfully annoying when monkey bone takes over his body . bridget fonda is dreary and seems to bring the film to a screeching halt , her performance is bad and she seems miscast . dave foley isn't given enough to do , as well as " will & grace's " megan mullally who can be funny . the standout performance is the voice of nick turturro as monkey bone himself , he is very funny and entertaining and really keeps the film from being a total bust . the special effects of " monkey bone " is what might really bring in some curious viewers , these special effects are highly effective , and nice to look at with the eyes . some of them are believable and some unbelievable . . . for monkey bone he seems to be like stuart little , you really don't realize that he is animated . . . but on occasion it sneaks up on you . the direction by henry selick is good , but at times he doesn't know what kind of film he wants to make , and the ending climax falls off the cliff . it's too bad really , " monkey bone " could have been a real good movie , but with it's heavily done hack job , and lack of character development it just sinks when the end credits role . for those curious however , it might be worth the rental , but other than that avoid this one .
" gattaca " represents a solid breakthrough in the recent onslaught of science-fiction films -- it's a genre picture that doesn't rely on alien creatures or loud explosions to tell its story . the movie takes place in a futuristic world where babies are created through genetic tampering and not sexual reproduction . this allows parents to predetermine what kind of eye color , intelligence and life span they'd like for their child , and also eliminates most pesky chances of health defects . those made the old-fashioned way are labeled as " in-valids " and confined to the lower rung of society . vincent freeman ( ethan hawke ) is one such person , born not too long before the genetic process was perfected and forced to grow up in a home with his petrie dish-molded younger brother anton . fed up with being second-rate and enchanted by dreams of one day traveling through space , vincent leaves home and takes a janitorial position at the gattaca aerospace corporation . everyday , he watches as " superior " folk make his fantasy a reality . determined to do the same , vincent meets a dna broker ( tony shalhoub in a funny cameo ) who sells fake identities to in-valids . his counterpart for this scam is jerome morrow ( jude law ) , an ex-athlete left paralyzed in an accident and confined to a wheelchair for life . for a price and the promise of a caretaker , jerome supplies vincent with his identity , as well as blood , skin and urine samples for all of those pesky on-the-job tests and physical examinations -- this future is one where employees clock in by pricking their fingers instead of punching a time card . because of his drastically improved status , vincent is quickly propelled to a high position in gattaca , and catches the eye of comely co-worker irene ( uma thurman ) on the way -- obsessed with her own minor heart defect , she's enamored by his flawless persona she doesn't know is a lie . but on the figurative eve of his upcoming planetary departure , the mission director is murdered . two ardent detectives ( alan arkin and billy bathgate's loren dean ) determine the killer is on the inside of gattaca , and the sole clue they find at the crime scene -- one of vincent's eyelashes -- threatens to blow vincent's cover and derail his goal . even if " gattaca " were dramatically empty , it would still boast a sublime set of production credentials -- the film's look is dazzling without ever being flashy . first-time director/writer andrew niccol ( he also wrote the screenplay for the upcoming jim carrey drama " the truman show " ) demonstrates a keen eye for the stylish ; his collaboration with cinematographer slawomir idziak , production designer jan roelfs and costume designer colleen atwood result in a sophisticated composition that emanates classy , retro ambiance . an opening credits sequence -- where skin , nail and hair fragments fall in slow-motion through a colored camera lens -- displays these combined talents uncannily . niccol even utilizes voice-over narration ( a device almost always poorly-employed ) in an effective way . when it comes to acting , the movie is also flawless . ethan hawke does magnificent work , proving his ability to carry a film and reaffirming his enormously high charisma level . his chemistry with thurman is a bit on the icy side , but needfully so , adding to the setting's clinical chill . as the bitter jerome , jude law has a star-making presence , and it's his scenes with hawke that give the movie its fine emotional core . in " gattaca " 's series of final shots , the fates of vincent and jerome are superimposed over each other , and the effect is sad , lyrical and beautiful . things get a little strange as the movie nears its climax , when vincent's relationship with his brother comes back into view . the big dramatic culmination is a swim race , which is somewhat silly albeit beautifully photographed . still , the single most surprising aspect of gattaca is its use of backdrop -- it's successful sci-fi without showy special effects , it's a crisp thriller with character-driven thrills , it's a futuristic fable without blood and guts . even its murder mystery is relegated to a secondary subplot , ensuring that a smart story about smart people and smart science takes center stage . although it's portrayal of the upcoming century is grim , " gattaca " serves up one of the most thought-provoking societal forecasts ever depicted on film .
if you thought baz luhrmann's radical take on _william_shakespeare's_romeo_+_juliet_ was wild , wait until what you see what tony award-winning stage director julie taymor ( _the_lion_king : _the_broadway_musical_ ) does to the bard's _titus_andronicus_ for her audacious--and very bloody--film debut . while luhrmann transplanted the star-crossed lovers to 1990s florida , taymor keeps this grisly tale of revenge in rome--but places it in a surreal temporal limbo . the colosseum suggests the proper time of imperial rome , but high rises and heavy duty kitchen ovens suggest the 1990s , while the vintage automobiles and some costumes are more '40s and '50s , and other garments are more gladiator-like . as tamora , queen of goths ( jessica lange ) exacts revenge on roman general titus ( anthony hopkins ) for killing her eldest son , and he does the same to her for the wrongs she commits , taymor obviously wanted to express the timeless relevance of the story's underlying themes . however , the time convergence approach only works at times , for often it's just distracting , as in one scene where tamora's suviving sons ( matthew rhys and jonathan rhys meyers ) blow off steam playing video arcade games . taymor didn't have to resort to such avant garde time tricks , for the story would have resonated just as strongly had she jettisoned them . she is a strong storyteller and a master visual stylist , the latter compliment encompassing all areas , makeup and costume choices as well as those in the editing and photography departments . she also has a sure way with actors ; hopkins' titus is at once tragic and horrifying , and lange is sultry as the viperous tamora . the clear standout of the cast , however , is harry lennix as aaron , a moor who is tamora's secret lover and a schemer in his own right . lennix brings great depth to a role that could have easily been played as a stock villain . a great villain he indeed is , but to leave it at that isn't giving full justice to his powerful and multi-dimensional work . _titus_ isn't a complete success , but it is never less than fascinating , and it announces the arrival of a fearlessly imaginative new cinematic voice .
upon taking a seat at the theater , and surveying the crowd , i soon realized that i was the only person under forty in the premises . i'm twenty-two , but have been accused of looking sixteen . yet as the film began , any consciousness of setting shifted to the home of five close-knit , yet troubled sisters . director pat o'connor ( inventing the abbots , circle of friends ) weaves a quiet yet affecting tale of loss , need , and the bonds between five sisters . the family is ruled by kate ( meryl streep ) , an unconsciously strict schoolteacher , who is completely conscious of the deterioration of her family . there is very little background given to the viewer , as we are thrust into a tense but loving home . squabbles take place one after the other , caused by years and years of history . perhaps one of the best things about this film , is its naturalness . no situation is over-wrought , and characters react as real people do , to real problems . this probably is a result of the film being from a stage play . the play was in turn is based on a time in the life of the playwright . what seems to be an underlying theme are the pagan rituals and dances of peoples , both in lughnasa and africa . in fact , dance seems to be the glue that holds the family together and most expressively shows their closeness . legs tap , and bodies sway even in the midst of impending disaster . only after the music stops , and the characters stand breathing heavily do we sense any trouble . in the quiet after the music we muse that it's sad that music has to cease , and families falter . the movie is framed by a scene of michael mundy , the narrator of the movie , as a young child flying a kite . he trips over a bump and loses hold of his string , and the kite floats off farther into the distance . drawn on the white diamond of the kite is a face that looks at once pained , and at another glance mischievous . the mundy family itself follows a similar fate to that of the kite , and kate's hold of the family isn't strong enough to hold off the winds of change . as michael stands , staring at his kite fly away , we hear the adult michael , looking back at the season that his world changed forever . the movie is not overpowering , but it gives us a beautiful window into the life , love , and trouble of a household of lonely women . note : this is the first movie review i've ever written , any responses on it would be greatly appreciated . : )
capsule : silly and inane adaptation of gibson's short story , which is nowhere in sight . gibson's script only adds insult to injury . johnny mnemonic is an awesomely bad movie . i say " awesomely " because it's one thing to fail , but another thing entirely to fail so completely that even the chances for camp value are sabotaged . keanur reeves ( who is terrible ) stars as johnny , an " information courier " who can carry dozens of gigabytes of data in his head . he is given " one last job " ( whenever you are in a movie and you hear those words , run ) , which involves him shoving so much data into his cranium that it could be lethal . one of the neater touches that the movie brings in is that the only way he could make such an arrangement work was by ditching all of his childhood memories , but it's only followed up on in a token fashion . for his trouble , johnny gets chased by the yakuza , who seem to be the new bad guys in all the high-tech thrillers . what's funny is that if you watch gangster movies made * in * japan , there are whole gobs of details about genuine yakuza behavior and ethics , but of course there's no room in this movie for any of that . the yakuza are simply used to point guns , wave swords , flaunt tattoos , and grimace menacingly . ( i could go on about how gangsters and criminals of many other ethnicities have gotten thoughtful examinations in the movies -- bound by honor , sugar hill and american me come to mind -- when asians remain perpetually stereotyped . but that's another essay . ) anyway , johnny runs and eventually winds up in newark . why newark ? maybe because it was cheaper to fake a future newark than a future new york , that's why . there , he meets an assortment of odd characters ( ice-t , dolph lundgren and henry rollins play a whole gallery of weirdos ) . the script deals with them with all the depth of pieces of furniture . it turns out ( what else ? ) that the data in johnny's head could save a lot of people , but of course johnny only wants it out of his head so it doesn't kill him . handled right , this could have been absorbing , but the script manages to mangle any chance of real sympathy for johnny at every opportunity . the details about the look and feel of the future are all phoned in from other , better movies -- blade runner and brazil come to mind . everything looks run-down and scummy , everyone dresses like they're punk rockers , and videophones are commonplace . snore . the only really interesting flourish is an extended depiction of the way the internet might work in the future ( complete with vr goggles and feedback gloves ) , but i kept thinking that it was more like what some relatively un-technical fellow would * think * it would look and behave like . a hacker of johnny's caliber would be blasting away with one command-line function after another , instead of wasting all this time twiddling with holograms , but of course that's not cinematic . whatever . what went wrong with this movie ? gibson wrote his own screenplay , which i guess is part of the problem : what works as a short story doesn't work in a movie . his ear for dialogue is terrible and the plot doesn't advance , it convulses . from the script on out , it was probably all downhill . renting the movie to make fun of it is sort of pointless ; there's no fun in kicking a wounded dog , is there ?
"""
